# Interface Event

All Superinterfaces:
  `Mirror`

All Known Subinterfaces:
  `AccessWatchpointEvent, BreakpointEvent, ClassPrepareEvent, ClassUnloadEvent, ExceptionEvent, LocatableEvent, MethodEntryEvent, MethodExitEvent, ModificationWatchpointEvent, MonitorContendedEnteredEvent, MonitorContendedEnterEvent, MonitorWaitedEvent, MonitorWaitEvent, StepEvent, ThreadDeathEvent, ThreadStartEvent, VMDeathEvent, VMDisconnectEvent, VMStartEvent, WatchpointEvent`

public interface Event extends Mirror
An occurrence in a target VM that is of interest to a debugger. Event is the common superinterface for all events (examples include `BreakpointEvent`, `ExceptionEvent`, `ClassPrepareEvent`). When an event occurs, an instance of Event as a component of an `EventSet` is enqueued in the `VirtualMachine`'s `EventQueue`.

Since:
  1.3
See Also:
  - `EventSet`
  - `EventQueue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventRequest`
  `request()`

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

- ## Method Details

  - ### request

    EventRequest request()
    Returns:
      The `EventRequest` that requested this event. Some events (eg. `VMDeathEvent`) may not have a corresponding request and thus will return null.